For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Workflows
    • Overview
  • Get Started
    • MCP Quick Start
    • API Quick Start
  • MCP Server
    • Overview
    • Installation
  • Direct API
    • Overview
    • Authentication
      • GETGet all minds
      • POSTCreate a new mind
      • GETSearch minds
      • GETGet mind by ID
      • PUTUpdate mind by ID
      • DELDelete mind by ID
      • POSTRun simulation
      • GETGet signed URL for artifact upload
      • GETGet memory bank snapshots
      • POSTCreate a memory bank snapshot
      • GETGet memory bank snapshot status
      • GETGet all tags
      • PUTUpdate a tag
      • DELDelete a tag
      • PUTSet tags for a mind
      • GETList simulations
      • GETGet a simulation
      • DELDelete a simulation
      • GETGet psychometrics for a snapshot
      • GETGet topic analysis for a snapshot
      • GETGet snapshot details
      • POSTCreate a snapshot link
      • DELDelete a snapshot
      • POSTLink a snapshot
      • POSTUnlink a snapshot
      • GETGet API Key Usage
      • POSTProxy a request
    • Error Handling
  • SDKs
  • Core Concepts
    • Minds, Snapshots, & Simulations
    • SOC 2, HIPAA, & GDPR
LogoLogo
LogoLogo
Direct APIAPI Reference

Update mind by ID

PUT
https://api.reasoner.com/api/mindsim/minds/:mindId
PUT
/api/mindsim/minds/:mindId
$curl -X PUT https://api.reasoner.com/api/mindsim/minds/123e4567-e89b-12d3-a456-426614174000 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "John Doe"
>}'
1{
2 "success": true,
3 "mind": {
4 "id": "123e4567-e89b-12d3-a456-426614174000",
5 "name": "John Doe",
6 "slug": "john-doe",
7 "email": "john@example.com",
8 "imageUrl": "https://example.com/avatar.jpg",
9 "socialMedia": {},
10 "scope": "private",
11 "isSelf": false,
12 "organizationId": "123e4567-e89b-12d3-a456-426614174001",
13 "createdAt": "2025-01-01T00:00:00.000Z",
14 "updatedAt": "2025-01-01T00:00:00.000Z",
15 "tags": [
16 {
17 "id": "123e4567-e89b-12d3-a456-426614174005",
18 "name": "internal team",
19 "organizationId": "123e4567-e89b-12d3-a456-426614174001",
20 "createdAt": "2025-01-01T00:00:00.000Z",
21 "updatedAt": "2025-01-01T00:00:00.000Z"
22 }
23 ],
24 "snapshotCount": 1,
25 "psychometricCount": 10,
26 "keyTopicCount": 5,
27 "findingCount": 8
28 }
29}
Updates a single mind by its unique ID
Was this page helpful?
Previous

Delete mind by ID

Next
Built with

Authentication

AuthorizationBearer

API key passed as Bearer token in Authorization header (e.g., “Authorization: Bearer YOUR_API_KEY”)

Path parameters

mindIdstringRequired
The unique ID of the mind

Request

This endpoint expects an object.
namestringRequired>=1 character
emailstringOptionalformat: "email"
socialMediamap from strings to anyOptional
tagsstringOptional

Comma-separated list of tags

Response

Successful response
successboolean
mindobject

Errors

400
Bad Request Error
404
Not Found Error